## python-django-treebeard 4.7.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-treebeard.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-treebeard.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-treebeard"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-treebeard"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-django-treebeard (4.7.1-2) unstable; urgency=medium

  * Team Upload
  * Rewrite d/rules with shorter, newer syntax
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.2
  * Fix d/watch for new PyPi archive naming policy
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Fri, 07 Nov 2025 08:12:57 +0100

python-django-treebeard (4.7.1-1) unstable; urgency=low

  * New upstream version 4.7.1
  * Refresh patches.
  * Use dh-sequence-python3.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Fri, 23 Feb 2024 15:03:48 +0000

=== debian/control ===
Source: python-django-treebeard
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 graphviz,
 python3-babel,
 python3-django (>= 2.2~),
 python3-pytest <!nocheck>,
 python3-pytest-django <!nocheck>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-treebeard
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-treebeard.git
Homepage: https://github.com/django-treebeard/django-treebeard

Package: python-django-treebeard-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Efficient implementations of tree data structures for Django (documentation)
 Django Treebeard is a library that implements efficient data structures for
 storing hierarchical data in a database using the Django web development
 framework.
 .
 It currently includes 3 different tree implementations: adjacency list,
 materialized path and nested sets. Each one has it's own strengths and
 weaknesses but share the same API, so it’s easy to switch between them.
 .
 This package contains the documentation in searchable HTML format.

Package: python3-django-treebeard
Architecture: all
Depends:
 libjs-jquery-ui,
 python3-django (>= 2.2~),
 ${misc:Depends},
 ${python3:Depends},
Description: Efficient implementations of tree data structures for Django (Python3 version)
 Django Treebeard is a library that implements efficient data structures for
 storing hierarchical data in a database using the Django web development
 framework.
 .
 It currently includes 3 different tree implementations: adjacency list,
 materialized path and nested sets. Each one has it's own strengths and
 weaknesses but share the same API, so it’s easy to switch between them.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-treebeard

%:
	dh $@ --with=sphinxdoc --buildsystem=pybuild

execute_before_dh_auto_clean:
	rm -rf docs/.build

execute_after_dh_auto_build:
	set -e; \
	for loc in treebeard/locale/*; do \
		test -r $$loc/LC_MESSAGES/django.po && \
			python3 setup.py compile_catalog --directory treebeard/locale/ --locale $$(basename $$loc) --domain django; \
		test -r $$loc/LC_MESSAGES/djangojs.po && \
			python3 setup.py compile_catalog --directory treebeard/locale/ --locale $$(basename $$loc) --domain djangojs; \
	done

execute_after_dh_auto_install:
	chmod 644 $(CURDIR)/debian/python3-django-treebeard/usr/lib/python3.*/dist-packages/treebeard/locale/*/LC_MESSAGES/*.po

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/source/ $(CURDIR)/debian/python-django-treebeard-doc/usr/share/doc/python-django-treebeard-doc/html
	dh_sphinxdoc
endif

override_dh_compress:
	dh_compress -X.js -X.py -Xobjects.inv

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
https://pypi.debian.net/django-treebeard/django_treebeard-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-django-treebeard 4.8.0

=== debian/changelog ===
python-django-treebeard (4.8.0-1) unstable; urgency=low

  * New upstream version 4.8.0
  * Refresh patches.
  * Bump Standards-Version to 4.7.3.
  * Update year in d/copyright.
  * Use uscan version 5.
  * Directly compile translations using babel.
  * Use \$(CURDIR) in d/rules.
  * Simplify d/rules by using execute_before_ target instead of override.
  * Switch Testsuite to autopkgtest-pkg-pybuild.

 -- Michael Fladischer <fladi@debian.org>  Sun, 18 Jan 2026 22:40:05 +0000

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,11 @@
  python3-django (>= 2.2~),
  python3-pytest <!nocheck>,
  python3-pytest-django <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-treebeard
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-treebeard.git
 Homepage: https://github.com/django-treebeard/django-treebeard
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-django-treebeard-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-treebeard

%:
	dh $@ --with=sphinxdoc --buildsystem=pybuild

execute_before_dh_auto_clean:
	rm -rf $(CURDIR)/docs/.build

execute_after_dh_auto_build:
	set -e; \
	for loc in $(CURDIR)/treebeard/locale/*; do \
		test -r $$loc/LC_MESSAGES/django.po && \
			python3 -m babel.messages.frontend compile --directory=$(CURDIR)/treebeard/locale/ --locale=$$(basename $$loc) --domain=django; \
		test -r $$loc/LC_MESSAGES/djangojs.po && \
			python3 -m babel.messages.frontend compile --directory=$(CURDIR)/treebeard/locale/ --locale=$$(basename $$loc) --domain=djangojs; \
	done

execute_after_dh_auto_install:
	chmod 644 $(CURDIR)/debian/python3-django-treebeard/usr/lib/python3.*/dist-packages/treebeard/locale/*/LC_MESSAGES/*.po

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html -N $(CURDIR)/docs/source/ $(CURDIR)/debian/python-django-treebeard-doc/usr/share/doc/python-django-treebeard-doc/html
endif

override_dh_compress:
	dh_compress -X.js -X.py -Xobjects.inv

=== debian/watch ===
version=5
opts=uversionmangle=s/(rc|a|b|c)/~$1/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
https://pypi.debian.net/django-treebeard/django_treebeard-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
